<?php
/**
 * Template Name: Our Products
 */
get_header(); ?>


<section id="content">

    <img src="<?php the_field('image') ?>" style="margin: 0 auto; display:block;">
    
    <h2 style="padding: 40px 0 0;margin-bottom: -15px;">Products We Offer</h2>



    <?php

    // check if the flexible content field has rows of data
    if( have_rows('container') ):

         // loop through the rows of data
         while ( have_rows('container') ) : the_row();

         if( get_row_layout() == 'text' ):

    ?>

    <div class="container text-p"><p><?php the_sub_field('paragraph'); ?></p></div>

    <?php

    elseif( get_row_layout() == 'carousel' ): 

    ?>

    <div class="row-carousel">
        <div class="container">

            <?php 

            $images = get_sub_field('images');

            if( $images ): ?>
            <div class="slidesdos">
                <?php foreach( $images as $image ): ?>
                <div>
                    <img src="<?php echo $image['url']; ?>" alt="<?php echo $image['alt']; ?>" />
                </div>
                <?php endforeach; ?>
            </div>

            <?php endif; ?>
        </div>
    </div>

    <?php

    elseif( get_row_layout() == 'image_block' ): 

    ?>

    <div class="row-image"><div class="container"><img src="<?php the_sub_field('image'); ?>"></div></div>

    <?php

    endif;

    endwhile;

    else :

    // no layouts found

    endif;

    ?>

    <div class="container btn-pages"><a href="<?php the_field('link'); ?>" class="btn">Contact Us</a></div>
    
</section>




<?php get_footer(); ?>